<%@ Control Language="VB" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.Oledb" %>
<%@ import Namespace="GruveAccess" %>
<script runat="server">
	Dim gLB As new GruveAccess.LinkDirectoryManager.Link()

'*******************************************************
'
' The Page_Load event
'
'*******************************************************
    
Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
	Dim sPageURL as String = "http://" & Request.ServerVariables("SERVER_NAME") & Request.ServerVariables("SCRIPT_NAME")
	Dim sMode as String = Request("mode")
	Dim sCategory as String	
	Dim iParentID as Integer
	Dim oDtr as OledbDataReader

	gLB.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("./db/gruve.mdb") & ";"

	If Not IsPostBack Then
		ltlAddSite.Text = "(<a href='" & sPageURL & "?mode=add'>Add Your Site</a>)"
		Select Case sMode
			Case "category"
				sCategory = gLB.GetCategoryByID(Request("id"))
				iParentID = gLB.GetParentCategoryID(Request("id"))
				ltlLinkTrail.text = "<br>" & "<font face='verdana' size='3'><a href='" & sPageURL & "'><b>Resource Directory</b></a> " 
				If iParentID > 0 Then ltlLinkTrail.text &= " > <a href='" & sPageURL & "?mode=category&id=" & iParentID & "'><b>" & gLB.GetCategoryByID(iParentID) & "</b></a> (" & gLB.GetCategoryLinkCount(iParentID) & ") "
				ltlLinkTrail.text &= " > <a href='" & sPageURL & "?mode=category&id=" & Request("id") & "'><b>" & sCategory & "</b></a> (" & gLB.GetCategoryLinkCount(Request("id")) & ") "
				ltlLinks.text &= "<br><br>" & gLB.RenderLinks(Request("id")) & "<br><br>"	
				oDtr = gLB.GetSubCategories(Request("id"),true)
				If oDtr.HasRows Then ltlSubCategories.text &= "<br><br>SubCategories: "
				While oDtr.Read()
					ltlSubCategories.text &= "<a href='" & sPageURL & "?mode=category&id=" & oDtr("iCategoryID") & "'>" & oDtr("sCategory") & "</a>&nbsp;(" & gLB.GetCategoryLinkCount(oDtr("iCategoryID")) & ")&nbsp;&nbsp;"
				End While
					ltlSubcategories.text &= "</font><br>"
				oDtr.Close()
			Case "add"
				tblAdd.Visible = True
				ddlCategory.Datasource = gLB.GetCategories(true,false)
				ddlCategory.DataTextField = "sCategory"
				ddlCategory.DataValueField = "iCategoryID"
				ddlCategory.Databind()			
			Case "linkadded"
					ltlLinkAdded.text = "<br><br><h2><font face='verdana'>Thanks for your Link Submission! Your link will be reviewed for addition within 48 hours.</font></h2>"
			Case Else
				ltlCategories.text = "<br><br>" & gLB.RenderCategories(sPageURL)
		End Select
    End If
End Sub

Sub OnBtnSaveLinkClicked (s As Object, e As EventArgs)
	If Page.IsValid Then
		Dim LB As new GruveAccess.LinkDirectoryManager.Link()

		LB.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("./db/gruve.mdb") & ";"
		LB.Title = txtTitle.text
		LB.URL = txtURL.text
		LB.Desc = txtDesc.text
		LB.CategoryID = ddlCategory.selectedvalue
		LB.Reciprocal = txtReciprocal.text
		LB.Email = txtEmail.text
		LB.LinkActive = "False"
		LB.Comments = txtComments.text
		LB.SaveLink(0)

		Response.Redirect("http://" & Request.ServerVariables("SERVER_NAME") & Request.ServerVariables("SCRIPT_NAME") & "?mode=linkadded")
	End If

End Sub

Sub OnBtnSearchClicked (s As Object, e As EventArgs)
	Dim LB As new GruveAccess.LinkDirectoryManager.Link()

	ltlCategories.visible = false
	LB.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("./db/gruve.mdb") & ";"

	ltlLinkTrail.text = "<br>" & "<font face='verdana' size='3'><b>Link Search Results for '" & txtSearchLinks.text &" ' :</b> " 
	ltlLinks.text = "<br><br>" & gLB.RenderSearchResults(txtSearchLinks.text) & "<br><br>"

End Sub
</script>
<br>
<form runat="server">
<table width="90%" align="center">
	<tr>
		<td><font face="verdana" size="5">Resource Directory Links</font>&nbsp;&nbsp;&nbsp;<asp:Literal id="ltlAddSite" runat="server" /></td>	
	</tr>
	<tr>
		<td>
			<asp:literal id="ltlLinkTrail" runat="server"/>
			<asp:literal id="ltlSubCategories" runat="server"/>
			<asp:Literal id="ltlCategories" runat="server"/>
			<asp:Literal id="ltlLinks" runat="server"/>
			<asp:Literal id="ltlLinkAdded" runat="server"/>
		</td>
	</tr>
	<tr><td>&nbsp;</td></tr>
	<tr>
		<td align="center">
			<font face="verdana"><b>Search Links for: <asp:textbox id="txtSearchLinks" runat="server" /> <asp:button id="btnSearch" text="Search Links"   onclick="OnBtnSearchClicked" runat="server" /></b></font>
		</td>
	</tr>
</table>

<br>
<font face="verdana">
<table id="tblAdd" width="100%" visible="false" runat="server">
		<tr>
			<td align="left" colspan="2">
			After you have added a link to this site with the link information at the bottom of this 
			page you can submit your web sites information below to have your sites link placed in 
			our Directory.			
			</td>
		</tr>
		<tr><td colspan="2">&nbsp;<asp:label id="lblLinkID" text="0" visible="false" runat="server"/></td></tr>		
		<tr>
			<td align="right" width="20%">
				<b>Site Title:</b>
			</td>
			<td alight="left" width="80%">
				Please do not use ALL capital letters. Limit 75 characters.
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>
				<asp:RequiredFieldValidator ControlToValidate="txtTitle" Display="dynamic" Font-Name="verdana" Font-Size="9pt" ErrorMessage="<br>'Title' cannot be left blank. Please enter the Title." runat="server" />
				<asp:textbox id="txtTitle" size="50" maxlength="75" runat="server"/>
			</td>
		</tr>
		<tr>
			<td align="right">
				<b>URL:</b>
			</td>
			<td>
				<asp:RegularExpressionValidator ControlToValidate="txtURL" Display="Dynamic" Text="Invalid URL! Enter as http://www.mygoalmanager.com" ValidationExpression="http://\S+\.\S+" Runat="Server" />
				<asp:RequiredFieldValidator ControlToValidate="txtURL" Display="dynamic" Font-Name="verdana" Font-Size="9pt" ErrorMessage="<br>'URL' cannot be left blank." runat="server" />
				<asp:textbox id="txtURL" size="50" maxlength="75" text="http://" runat="server"/>
			</td>
		</tr>		
		<tr>
			<td align="right" valign="top">
				<b>Description:</b>
			</td>
			<td align="left">
				Please limit description to 25 words
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>	
			<td>
				<asp:RequiredFieldValidator ControlToValidate="txtDesc" Display="dynamic" Font-Name="verdana" Font-Size="9pt" ErrorMessage="<br>'Description' cannot be left blank." runat="server"></asp:RequiredFieldValidator>
				<asp:textbox id="txtDesc" TextMode="MultiLine" rows="8" columns="50" runat="server"/>
			</td>
		</tr>
		<tr>
			<td align="right">
				<b>Your Email:</b>
			</td>
			<td>
				<asp:textbox id="txtEmail" size="50" maxlength="75" runat="server"/>
			</td>
		</tr>
		<tr>
			<td align="right">
				<b>Category:</b>
			</td>
			<td>
				Select the category where you would like your link placed

			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td align="left">
				<asp:dropdownlist id="ddlCategory" runat="server"/>
			</td>
		</tr>
		<tr>
			<td align="right" valign="top">
				<b>Reciprical Link:</b>
			</td>
			<td align="left">
			Please provide the entire URL where we can find your link to this 
			website. Your request will be rejected if your home page does not have a 
			visible link to your link page or you fail to provide a reciprocal link. See 
			the bottom of this page for our link information.
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>		
			<td>
				<asp:RegularExpressionValidator ControlToValidate="txtReciprocal" Display="Dynamic" Text="Invalid Reciprocal Link! Enter as http://www.mygoalmanager.com" ValidationExpression="http://\S+\.\S+" Runat="Server" />
				<asp:RequiredFieldValidator ControlToValidate="txtReciprocal" Display="dynamic" Font-Name="verdana" Font-Size="9pt" ErrorMessage="<br>'Reciprocal Link' cannot be left blank." runat="server" />
				<asp:textbox id="txtReciprocal" size="50" maxlength="75" text="http://" runat="server"/>
			</td>
		</tr>				
		<tr>
			<td align="right" valign="top">
				<b>Comments:</b>
			</td>
			<td>
				<asp:textbox id="txtComments" TextMode="MultiLine" rows="8" columns="50" runat="server"/>
			</td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr>
			<td align="center" colspan="2">
			<asp:button id="btnSaveLink" text="Submit Link"  onclick="OnBtnSaveLinkClicked" runat="server"/>
			</td>
		</tr>	
</table>
</font>
</form>

